package com.ichaoj.ams.constant;

import cn.hutool.core.util.StrUtil;

import java.io.File;

/**
 * @author 焦竞健
 * @description TODO
 * @date 2022/4/13 15:21
 */
public class AmsConstant {

    /**
     * 地址缓存前缀
     */
    public static final String CACHE_ADDRESS_PREFIX = "ccb:address";

    public static final String WALLET_FILE_PATH =
            StrUtil.format("C:{}ccb-keystore{}Wallets{}ETH{}", File.separator, File.separator, File.separator, File.separator);

    public enum AssetType {
        /**
         * 代币
         */
        TOKEN,
        /**
         * 主链币
         */
        COIN;

        AssetType() {
        }
    }

    public enum ChannelType {
        /**
         * 托管通道
         */
        TRUSTEESHIP,
        /**
         * 非托管通道
         */
        UNMANAGED;

        ChannelType() {
        }
    }

    public enum ChannelStatus {
        /**
         * 待审核
         */
        CHECK_PEND,
        /**
         * 启用
         */
        ENABLE,
        /**
         * 禁用
         */
        DISABLE,
        /**
         * 下架
         */
        SHELVES,
        /**
         * 驳回
         */
        REJECT;

        ChannelStatus() {
        }
    }

    public enum TransactionStatus {
        /**
         * 未发起
         */
        NOT_INIT,
        /**
         * 已发起
         */
        INIT,
        /**
         * 已取消（仅为销毁状态）
         */
        CANCEL,
        /**
         * 已确定
         */
        CONFIRMED;

        TransactionStatus() {
        }
    }

    public enum UserStatus {
        /**
         * 未激活
         */
        INACTIVE,
        /**
         * 已激活
         */
        ACTIVATE,
        /**
         * 禁用
         */
        DISABLE;

        UserStatus() {
        }
    }


    public enum TransactionType {
        /**
         * 跨链销毁交易
         */
        CROSS_DESTROY_TRANSACTION,
        /**
         * 跨链增发交易
         */
        CROSS_INCREASE_TRANSACTION,

        /**
         * 普通交易
         */
        TRANSACTION,

        TransactionType() {

        }
    }

    public enum NotifyType {
        /**
         * 系统通知
         */
        SYSTEM,
        /**
         * 个人通知
         */
        PERSON,
        /**
         * 帮助中心
         */
        HELPCENTER,
        /**
         * 版本信息
         */
        VERSIONINFO,
        /**
         * 交易通知
         */
        TRANSACTION
    }

}
