package com.ichaoj.ams.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.time.LocalDateTime;
import lombok.Getter;
import lombok.Setter;

/**
 * <p>
 * 交易
 * </p>
 *
 * @author cjwen
 * @since 2023-05-10
 */
@Getter
@Setter
@TableName("ams_transaction")
public class AmsTransaction implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 交易ID
     */
    @TableId(value = "transaction_id", type = IdType.ASSIGN_UUID)
    private String transactionId;

    /**
     * 发起人
     */
    private String from;

    /**
     * 接收人
     */
    private String to;

    /**
     * 项目ID
     */
    private String projectId;

    /**
     * 任务id
     */
    private String taskId;

    /**
     * 自动化id
     */
    private String autoId;

    /**
     * 交易金额
     */
    private String amount;

    /**
     * 交易状态
     */
    private String transactionStatus;

    /**
     * 创建时间
     */
    private LocalDateTime createTime;

    /**
     * 更新时间
     */
    private LocalDateTime updateTime;

    /**
     * 逻辑删除标识
     */
    private Integer flag;


}
